## pkinter
A set of useful widgets for use with TkInter.

[![PyPI](https://img.shields.io/pypi/v/pkinter.svg)](https://pypi.python.org/pypi/pkinter)
[![PyPI](https://img.shields.io/pypi/pyversions/pkinter.svg)](https://pypi.python.org/pypi/pkinter)

[![PyPI](https://img.shields.io/pypi/dd/pkinter.svg)](https://pypi.python.org/pypi/pkinter)
[![PyPI](https://img.shields.io/pypi/dw/pkinter.svg)](https://pypi.python.org/pypi/pkinter)
[![PyPI](https://img.shields.io/pypi/dm/pkinter.svg)](https://pypi.python.org/pypi/pkinter)

**Warning:** These widgets are designed for Windows 8.1, there is a good chance they will look different and/or bad on other operating systems.
If a widget does look bad or deviates from the native look of an operating system, feel free to contact me with a screenshot of the widget and the name of the operating system you're using it on, and I will try to make it look better on that OS.

## Installing The Library

First off, you will need to have Python 3 installed and have Python in your system PATH. Then, you will need to open your systems' command prompt and type: `pip install pkinter`, this will install this library to your system.

## Using The Library

To use the library in your code, simply import like so: `import pkinter as pk`.
You will also need to import Tkinter, you can import that like this: `import tkinter as tk`, and if you want native TkInter widgets, also do `from tkinter import ttk`.

## Widgets

- ToggledLabelFrame
- LabeledSeparator
- RoundingScale
- EntryText
- LimitedEntry
- ColourPickerButton
- EditableLabel
- CollapsiblePane
- Hyperlink
- PageView
- Toolbar
- Statusbar
- LineNumbers
- BoundButton
- ValidEntry
- ChoiceBook
- PasswordEntry
- InvalidEntry
- ListBook
- AccelLabel
- InfoBar
- LockButton
- ToggleButton
- ScaleSwitch
- ButtonSwitch
- FilePicker
- DirectoryPicker
- FileNavigator
- ToasterBox

## Planned Widgets
- StarRating
- RadioListBox
- EmbeddedWindow
- Ribbon
- StickyWindow
- ListButton
- HTMLText
- MarkdownText
- reSTText
- DocumentMap

#### [wxWidgets](http://docs.wxwidgets.org/3.1/page_screenshots.html)
- [CheckListBox](http://docs.wxwidgets.org/3.1/classwx_check_list_box.html)
- [FontPicker](http://docs.wxwidgets.org/3.1/classwx_font_picker_ctrl.html)
- [PropertyGrid](http://docs.wxwidgets.org/3.1/classwx_property_grid.html)

#### [wxPython](https://wxpython.org/Phoenix/docs/html/gallery.html)
- [ZoomBar](https://wxpython.org/Phoenix/docs/html/wx.lib.agw.zoombar.ZoomBar.html)
- [XLSGrid](https://wxpython.org/Phoenix/docs/html/wx.lib.agw.xlsgrid.XLSGrid.html)

#### [Qt](http://doc.qt.io/qt-5/gallery.html)
- [ToolBox](http://doc.qt.io/qt-5/qtoolbox.html)
- [ColumnView](http://doc.qt.io/qt-5/qcolumnview.html)

#### [GTK3](https://developer.gnome.org/gtk3/stable/ch03.html)
- [MenuButton](https://developer.gnome.org/gtk3/stable/GtkMenuButton.html)
- [SearchEntry](https://developer.gnome.org/gtk3/stable/GtkSearchEntry.html)
- [ScrolledWindow](https://developer.gnome.org/gtk3/stable/GtkScrolledWindow.html)
- [ToolPalette](https://developer.gnome.org/gtk3/stable/GtkToolPalette.html)